/*
    Copyright (C) 2012 NewestTools.com(AlexLe)

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

*/

#ifndef _DBGPRINTF_H_
#define _DBGPRINTF_H_

#define RELEASE_BUILD

#ifdef RELEASE_BUILD

__inline
void DbgPrintf( const char *Format, ... ) {}

__inline
void NtDbgPrintf( const char *Format, ... ) {}


#else

void
DbgPrintfReal(
    const char *Format,
    ...        
    );

void
NtDbgPrintfReal(
    const char *Format,
    ...        
    );

#ifdef USE_NT_DBG_PRINTF

#define DbgPrintf NtDbgPrintfReal

#else

#define DbgPrintf DbgPrintfReal

#endif //USE_NT_DBG_PRINTF


#endif //#ifdef RELEASE_BUILD



#endif //_DBGPRINTF_H_

