/*
    Copyright (C) 2012 NewestTools.com(AlexLe)

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

*/

#ifndef _CRITICAL_SECTION_H_
#define _CRITICAL_SECTION_H_

class CCriticalSection
{
    
private:

    CRITICAL_SECTION  m_CritSection;

public:

    CCriticalSection(){ InitializeCriticalSection( &m_CritSection ); }
    ~CCriticalSection(){ DeleteCriticalSection( &m_CritSection ); }
    
    void
    Lock(){ EnterCriticalSection( &m_CritSection ); };

    BOOL
    TryLock(){  return TryEnterCriticalSection( &m_CritSection); };

    void
    Unlock(){ LeaveCriticalSection( &m_CritSection ); };


};

#endif //_CRITICAL_SECTION_H_
